升级后出现这样的问题

为当前最终发行版之前的所有版本提供支持
回复
daniums
帖子: 118
注册时间: 2006-12-15 21:55
来自: 重庆
送出感谢: 0
接收感谢: 0

升级后出现这样的问题

#1

帖子 daniums » 2007-01-01 22:01

我的ubuntu升级后grub出现问题,画面里有3个ubuntu的选项,这个是怎么回事啊?
附件
00001.jpg
wucongkun
帖子: 251
注册时间: 2006-11-10 20:27
送出感谢: 0
接收感谢: 0

#2

帖子 wucongkun » 2007-01-01 22:32

没什么 2.6.15-27是新的
26是旧的
这是为了方便
万一你新的启动不了 还可以用旧的。。
不过你要是对grub很熟悉的话
似乎这有点多余。。。
没有什么
看看menu.lst
删除你不想要的旧东西条目
然后到/boot删除旧的内核 initrd
头像
milujite
帖子: 644
注册时间: 2007-01-01 22:14
送出感谢: 0
接收感谢: 0
联系:

#3

帖子 milujite » 2007-01-01 22:48

升级后原来的内核和磁盘镜像文件还在。进 /boot把menu.lst旧的注释了。就不会出现了。

顺便问下mentest86+.bin是什么模式?
daniums
帖子: 118
注册时间: 2006-12-15 21:55
来自: 重庆
送出感谢: 0
接收感谢: 0

#4

帖子 daniums » 2007-01-01 22:49

wucongkun 写了:没什么 2.6.15-27是新的
26是旧的
这是为了方便
万一你新的启动不了 还可以用旧的。。
不过你要是对grub很熟悉的话
似乎这有点多余。。。
没有什么
看看menu.lst
删除你不想要的旧东西条目
然后到/boot删除旧的内核 initrd
是不是找到/boot/grub目录下的memu.lst,然后修改这个文件里多余的东西就行了?
wucongkun
帖子: 251
注册时间: 2006-11-10 20:27
送出感谢: 0
接收感谢: 0

#5

帖子 wucongkun » 2007-01-01 23:00

mentest86+.bin 似乎是测试内存的
menu.lst确实要修改 当然你可以只修改这个不删除旧文件
修改了这个文件 开机的选项就少了
为了彻底
你要看看那些title里面各项所指向的kernel initrd文件
把这些文件也删除。。
头像
zhan
帖子: 1880
注册时间: 2005-08-15 0:04
来自: 南7技校
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 zhan » 2007-01-01 23:11

不要手动删除
用 新利得
搜索 linux-image 和 linux-restricted-modules 两个选项,当然包是有版本号的,比如你要删除的可能是 linux-image-2.6.15-26-386 和 linux-restricted-modules-2.6.25-26-386 等等的。把老版本的完全删除就行了。会自动重写 menu.lst 的,手动自己删除肯定会有删除不完全的情况。
飞得高,飞得低,学习再学习,多少大秘密!
http://zhan.blog.ubuntu.org.cn
daniums
帖子: 118
注册时间: 2006-12-15 21:55
来自: 重庆
送出感谢: 0
接收感谢: 0

#7

帖子 daniums » 2007-01-01 23:25

zhan 写了:不要手动删除
用 新利得
搜索 linux-image 和 linux-restricted-modules 两个选项,当然包是有版本号的,比如你要删除的可能是 linux-image-2.6.15-26-386 和 linux-restricted-modules-2.6.25-26-386 等等的。把老版本的完全删除就行了。会自动重写 menu.lst 的,手动自己删除肯定会有删除不完全的情况。
新利得是个厦东西?怎么安装?
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#8

帖子 eexpress » 2007-01-02 0:20

zhan
这个老师不专业啊。
:em06
● 鸣学
hhyyjj163
帖子: 171
注册时间: 2006-11-25 11:54
来自: 武汉.汉口
送出感谢: 0
接收感谢: 0
联系:

#9

帖子 hhyyjj163 » 2007-01-02 0:31

新立得!
hhyyjj163
帖子: 171
注册时间: 2006-11-25 11:54
来自: 武汉.汉口
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 hhyyjj163 » 2007-01-02 0:35

我的是2.6.17-10-generic
daniums
帖子: 118
注册时间: 2006-12-15 21:55
来自: 重庆
送出感谢: 0
接收感谢: 0

#11

帖子 daniums » 2007-01-03 12:22

还是没搞懂新立得怎么用,汗……
yohu
帖子: 955
注册时间: 2006-12-18 17:04
来自: 福建泉州
送出感谢: 0
接收感谢: 1 次

#12

帖子 yohu » 2007-01-03 12:29

daniums 写了:还是没搞懂新立得怎么用,汗……

系统--》系统管理--》新立得软件包管理器
daniums
帖子: 118
注册时间: 2006-12-15 21:55
来自: 重庆
送出感谢: 0
接收感谢: 0

#13

帖子 daniums » 2007-01-03 13:13

yohu 写了:
daniums 写了:还是没搞懂新立得怎么用,汗……

系统--》系统管理--》新立得软件包管理器
找到了,谢谢啊!
回复

回到 “老旧版本支持”